Summary:	Geometry Engine - Open Source
Summary(pl.UTF-8):	GEOS - silnik geometryczny z otwartymi źródłami
Name:		geos
Version:	3.13.0
Release:	1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://download.osgeo.org/geos/%{name}-%{version}.tar.bz2
# Source0-md5:	7dda2ea78f394c7d460f6e81a215087c
URL:		https://libgeos.org/
BuildRequires:	cmake
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	rpmbuild(macros) >= 1.519
Obsoletes:	geos-static < 3.13.0
Obsoletes:	python-geos < 3.13.0
Obsoletes:	ruby-geos < 3.13.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GEOS (Geometry Engine - Open Source) is a C++ port of the Java
Topology Suite (JTS). As such, it aims to contain the complete
functionality of JTS in C++. This includes all the OpenGIS "Simple
Features for SQL" spatial predicate functions and spatial operators,
as well as specific JTS topology functions such as IsValid().

%description -l pl.UTF-8
GEOS (Geometry Engine - Open Source, czyli silnik geometryczny z
otwartymi źródłami) to port C++ biblioteki Java Topology Suite (JTS).
Celem biblioteki jako takiej jest implementacja pełnej funkcjonalności
JTS w C++. Obejmuje to wszystkie funkcje predykatów przestrzennych wg
"Simple Features for SQL" OpenGIS oraz operatory przestrzenne, a także
specyficzne dla JTS funkcje topologiczne takie jak IsValid().

%package devel
Summary:	Header files for GEOS library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki GEOS
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:4.7

%description devel
Header files for GEOS library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki GEOS.

%prep
%setup -q

%build
mkdir -p build
cd build
%cmake ../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS.md README.md
%attr(755,root,root) %{_bindir}/geosop
%attr(755,root,root) %{_libdir}/libgeos.so.%{version}
%attr(755,root,root) %{_libdir}/libgeos_c.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgeos_c.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/geos-config
%attr(755,root,root) %{_libdir}/libgeos.so
%attr(755,root,root) %{_libdir}/libgeos_c.so
%{_includedir}/geos
%{_includedir}/geos.h
%{_includedir}/geos_c.h
%{_libdir}/cmake/GEOS
%{_pkgconfigdir}/geos.pc
%changelog
* Fri Dec 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geos.git;a=log;h=master

* Fri Dec 27 2024 Jan Rękorajski <baggins@pld-linux.org> 3f79e93
- up to 3.13.0

* Mon Jan 23 2023 Jakub Bogusz <qboosh@pld-linux.org> 3f95866
- updated to 3.8.3 (last version with swig bindings)

* Mon Nov 09 2020 Jakub Bogusz <qboosh@pld-linux.org> 9b18c94
- rediffed rubydir patch with fuzz 0

* Sun Nov 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 82e55cc
- added x32 patch (adjust x86-specific implementation for ILP32 x86_64 target); release 2

* Sat Nov 07 2020 Jakub Bogusz <qboosh@pld-linux.org> 3df2797
- updated to 3.8.1

* Sat Mar 21 2020 Jan Rękorajski <baggins@pld-linux.org> f328632
- release 2 (by relup.sh)

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 6aa353a
- updated to 3.7.1; requires C++11 now

* Sun Jun 03 2018 Jan Rękorajski <baggins@pld-linux.org> 75842cf
- rebuild with ruby 2.4
- release 2 (by relup.sh)

* Mon May 07 2018 Jakub Bogusz <qboosh@pld-linux.org> 99cc53d
- updated to 3.6.2

* Wed Oct 25 2017 Jan Rękorajski <baggins@pld-linux.org> de737e5
- rebuild with ruby 2.3
- release 2 (by relup.sh)

* Wed Apr 05 2017 Jakub Bogusz <qboosh@pld-linux.org> 664cfaa
- updated to 3.6.1 (note: new libgeos soname)
- php extension moved to separate package (php-geos.spec); removed outdated php7 patch

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> c12a77e
- consistent php name

* Sun Mar 20 2016 Elan Ruusamäe <glen@delfi.ee> fd718a2
- php ext rebuild
- release 3 (by relup.sh)

* Sat Mar 19 2016 Elan Ruusamäe <glen@delfi.ee> b9fe668
- ruby 2.1 rebuild
- release 2 (by relup.sh)

* Sat Mar 19 2016 Jakub Bogusz <qboosh@pld-linux.org> ccc0fb6
- updated to 3.5.0 (note: new libgeos soname)
- removed obsolete ruby1.9 patch
- added php7 patch (preliminary PHP 7.0.x support, at least builds without warnings in module code)
- stabilize python install directory

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> cb7f946
- release 7 (by relup.sh)

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 5ee8f83
- x32 rebuild
- release 6 (by relup.sh)

* Tue Jul 22 2014 Elan Ruusamäe <glen@delfi.ee> 2abb994
- ruby 2.0 rebuld
- release 5 (by relup.sh)

* Fri May 23 2014 Elan Ruusamäe <glen@delfi.ee> 6571feb
- build with php55

* Thu May 22 2014 Jan Rękorajski <baggins@pld-linux.org> 1aaa401
- release 3 (by relup.sh)

